Update an entitlement.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Path Params
string
required
Body Params

The body to update the the entitlement.

Name of the entitlement.
Unique across the application for example, Salesforce finance, Salesforce payroll, AWS East Coast IT

Description of the entitlement. A brief description of the entitlement , not more that 500 characters.

User ID of the owner of the entitlement. The user ID can be obtained from the user profile detail page or use
{tenant_url}/v2.0/Users to retieve the user ID.

Condition set is only applicable to dynamic role and to determine the users that belong to this dynamic role.
Valid user attributes of type string can be obtained by referencing the UI that creates the dynamic role.
The list of current supported attributes are:
home_number,pager_number,work_locality,work_street_address,work_address,work_postalcode,work_region,
enabled,manager_uid,email_verified,employee_id,username,mobile_number,unqualifiedUserName,department,
job_title,ibm:account_expiration,language,ibm:linked_accounts,work_country,external_id,middle_name,
display_name,realmName,email,uid,given_name,family_name,name,work_number,fax_number

The supported operators are:
eq - equal
sw - starts with
ew - ends with
The supported operation for the list of condition sets is “and”. A user is associated with the dynamic role
when all the conditions in the set are satisfied. Example:
[
&nbsp&nbsp{
&nbsp&nbsp&nbsp&nbsp"manager_uid":
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp[
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp{
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"op":"eq",
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"vl":"7899AE2"
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp}
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp],
&nbsp&nbsp&nbsp&nbsp"work_region":
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp[
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp{
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"op":"sw",
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"vl":"West"
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp},
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp{
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"op":"ew",&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"vl":"Contractor"
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp}
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp],
&nbsp&nbsp&nbsp&nbsp"department":
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp[
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp{
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"op":"eq",
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"vl":"Marketing"
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp}
&nbsp&nbsp&nbsp&nbsp]
&nbsp&nbsp}
]

string
required
string
string
conditionSet
array of objects
conditionSet
Headers
string
enum
Defaults to application/json
Allowed:
Responses
204

The request was successful.

500

Your request can't be processed because an internal server error occurred.

Language
URL
LoadingLoading

Response
Choose an example:
application/json
text/plain